body {
    background-color: #f7f7f7;
    margin:0;
    font-family: sans-serif;
}
#legend {
    border-radius: 15px;
    background: white;
    padding: 5px;
    margin: 10px;
    
}
#legend > div {
    vertical-align: middle;
    display: flex;
    flex-direction: row;
    align-items: center;
}
.clear{
    clear: both;
} 
.left {
    float: left;
}
.right {
    float: right;
}
.label-container {
    padding: 0.1em 0.5em;
}
.operator-logo-icon {
    height: 67px;
}
.operator-logo-icon > img {
    height: 100%;
    width: auto !important;
}
.op-logo {
    height:100%;
    float: left;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    width:70vw;
    
}
.op-logo > div {
    text-align: left;
    font-size: 0.85em;
    font-weight: bold;
    color:#488aff;
}
.tr-icon {
    height: 90%;
    float: right;
    margin-right: 10px;
    padding: 3px;
    text-align: center;
    border: 1px solid #ff9800;
    animation-name: border-blink;
    animation-duration: 1s;
    animation-iteration-count: infinite;
}
.tr-icon >img {
    height: 60px;
}

#container {
    height: 100vh;
}
.container-error{
    background: #f7f7f7;
    font-size: 1.2em;
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 10px;
}
.tag-line {
    margin: 0.6em auto;
    text-align: center;
    color: #222;
    font-size:1.1em;
}
.disclaimer {
    color:#676767;
    font-size: 0.8em;
    padding: 0.5em;
    border-top:1px solid #d8d5d5;
}
.disclaimer span {
    font-weight: bold;
    text-decoration: underline;
}
.disclaimer p {
    margin: 6px auto;
}
.text-upper {
    text-transform: uppercase !important;
}

.header-logo {
    background: #fff;
    text-align: center;
    font-size: 1.7em;
    width: 100%;
    padding: 5px 2px;
    margin-bottom: 0.4em;    
}
header-logo > .img {
    width:60vw;
}
.journey-details {
    padding: 0;
    background: #fff;
    box-shadow: 1px 1px 0px 0px rgba(185, 185, 185, 0.67);
    font-size: 1em;
}
.journey-details i {
    color:#ff9d0a;
    padding: 2px;
}
.info {
    color:#676767;
    font-size: 0.8em !important;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    padding: 0.1em 0.5em;
}
.label{
    color: #444;
}
.links {
    padding-left: 1em;
}
.last {
        border-color: transparent;
    }
.request-div {
    color:#fff;
}
.direction-container {
    display: flex;
    text-align: center;
    margin:0.4em;
}
.direction{
    width: 90px;
    border-radius: 4px;
    background-color: #0077bd;
}
.direction i {
    display: block;
    font-size: 1.3em;
}
.panic{
    border-radius: 4px;
    width: 90px;
    background-color: #f00;
}
.panic,.direction{

    font-size: .8em;
    width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.panic i {
    display: block;
    font-size: 1.3em;
}
.request-btn{
    display: flex;
    align-items: center;
    justify-content: center;
    align-content: center;
    height: 46px;
    background: #ff9d0a;
    border-radius: 4px;
    margin: 0 3px;
    font-size: .75em;
    flex-grow: 8;
}
.map {
    height: 33vh;
    background: #fff;
}
.scroll {
    height: 100%
}

#map {
    width: 100%;
    height: 100%;
}
.footer-tag {
    background: #333;
    color:#fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 10px;
    text-align: center;
}
.footer-tag > div >img{
        width:70vw;
}
/* ---- Timeline ---- */
ol {
	position: relative;
	display: block;
	height: 3px;
    white-space: nowrap;
}

li {
	position: relative;
	display: inline-block;
    min-width: 160px;
    height: 10px;
    border-top:4px solid #ff9d0a; 
}
li .diplome {
  position: relative;
  top: -50px;
  left: -15px;
  color: #000000;
  max-width: 100px;
  
}
li .diplome > div {
    text-overflow: ellipsis;
    overflow: hidden;
    font-weight: bold;
  }
li .point {
	content: "";
    top: -24px;
    display: block;
    color: #f1eeed;
    position: absolute;
    background: #0076bc;
    border-radius: 100%;
    text-align: center;
    width: 28px;
    height: 28px;
    border: 6px solid #ddd;
    -webkit-box-shadow: 2px 1px 15px #d8d5d5;
    box-shadow: 2px 1px 15px #d8d5d5;
}
li .description {
    display: block;
    background-color: #fff;
    padding: 7px;
    max-width: 175px;
    position: absolute;
    white-space: normal;
    font-size: 1em;
    z-index: 1;
    box-shadow:2px 1px 15px #d8d5d5;
    border:1px solid rgba(153,153,153,0.22);
    border-radius:5px;
}
.boarding {
    text-overflow: ellipsis;
    overflow: hidden;
    font-weight: 600;
    white-space: nowrap;
}
li:nth-child(2n+1) .description {
  display: block;
  padding: 5px;
  top: 25px;
  left: -19px;
  max-width: 175px;
  position: absolute;
  z-index: 1;
  color: #000;
  
}
li:nth-child(2n+1) .description:before {
    content: '';
    width: 0; 
    height: 0; 
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #fff;
    position: absolute;
    top: -10px;
    left: 28px;
}
li:nth-child(2n+0)  .description{
    display: block;
    padding: 5px;
    bottom:44px;
    margin-left:-17px;
    max-width: 175px;
    position: absolute;
    z-index: 1;
    color: #000;
    
}
.point > i {
   /* line-height: 30px;*/
    font-size: 1.2em;
}
li:nth-child(2n+0)  .description:before {
    content: '';
    width: 0; 
    height: 0; 
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #fff;
    position: absolute;
    transform: rotate(180deg);
    bottom: -10px;
    left: 25px;
}
.sch_time {
    color: #666
}

/* ---- Hover effects ---- */
.app-download {
    margin-top:1.2em;
    color:#fff;
}
.download-div {
    margin: 1em 0.5em;
    margin-top: 0;
    background: #ff9d0a;
    display: flex!important;
    align-content: center!important;
    align-items: center!important;
    text-align: center;
    font-size: .85em;        
}
.border-right{
    border-right:1px solid #fff;
    flex-grow: 2;
}
.border-left{
    border-left:1px solid #fff;
    flex-grow:2;
}
.download-div i {
    font-size: 1.5em;
    padding: 12px;
}
.download-label {
    color: #015180;
    font-size: 1.2em;
    font-weight: bold;
    margin-bottom: 0.3em;
    text-align: center;
}
.bus-status {
    position: absolute;
    color:#fff;
    padding: 5px;
    top:-40px;
}
.bus-status:after {
    content: '';
    width: 0; 
    height: 0; 
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #666;
    position: absolute;
    transform: rotate(180deg);
    top: 26px;
    left: 6px;
}
.bus {
    position: absolute;
    bottom: -2px;
    z-index: 100;
}
.bus-img {
    background: #488aff;
    padding: 5px;
    border-radius: 4px;
    color:#fff;
}
.bus-img i {
    font-size:1.4em;
}
.bus:before {
    content: '';
    width: 0;
    height: 0;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-bottom: 7px solid #488aff;
    position: absolute;
    transform: rotate(180deg);
    bottom: -6px;
    left: 6px;
}
.dotted {
    border-top: 3px dotted #ccc;
}
.feedback {    
    text-align: left;
    font-size: .95em;
    background: #fff;
    padding: 10px;
}
.feedback > div {
        padding:5px;
}
.feedback > div span {
    color:#488aff;
}

#footer,#map-container,#loaded,#error,#operator,#tracking{
    display: none;
}
#map {
    height: 33vh;
    background: #fff;
}
.eta {
    display: none;
    margin-top:0.2em;
    height: 215px;
    background: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: auto;
    font-size:0.8em;
}
   
/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 999; /* Sit on top */
    left: 0;
    top: 0;
    bottom:0;
    width: 100%; /* Full width */
    overflow: auto; /* Enable scroll if needed */
    background-color: #fff; /* Fallback color */
}
.animate{
    -webkit-animation-name: slideIn;
    -webkit-animation-duration: 0.4s;
    animation-name: slideIn;
    animation-duration: 0.4s
}

/* Modal Content */
.modal-content {
    bottom: 0;
    top:0;
    background-color: #fefefe;
    width: 100%;   
}

/* The Close Button */
.close {
    color: white;
    float: right;
    font-size: 30px;
    margin-right:10px;
    font-weight: bold;
    line-height: 44px;
}

.close:hover,
.close:focus {
    text-decoration: none;
    cursor: pointer;
}

.modal-header {
    background-color: #488aff;
    color: white;
    position: fixed;
    width:100%;
    top:0;
    z-index: 999;
}
.modal-header h2,.modal-footer h3 {
    padding-left: 10px;
    margin: 10px auto;
    font-size: 1.3em;
}
.modal-body {
    padding: 2px 17px;
    margin-bottom:70px;
    margin-top:45px;
}
.modal-footer {
    position: fixed;
    background-color: #488aff;
    color: white;
    bottom: 0;
    width:100%;
    text-align: center;
}



.feedback-btn {
        display: flex;
        border: 1px solid #999;
        border-radius:4px;
    
    }
.feedback-btn label {
        flex-grow: 2;
        text-align: center;
        position: relative;
        padding: 0.3em;
        border-right: 1px solid #999;
    }
    .feedback-btn div:last-child {
        border-right: none;
    }
    .feedback { 
        justify-content: flex-end;        
    }
.modal-body p {
    font-weight: bold;
    margin-bottom: 6px;
}
textarea {
    width:100%;
}
input[type="radio"] {
    visibility: hidden;
    position: absolute;
}

.feedback-btn label span {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
}
input[type="radio"]:checked + span {
    background-color: #488aff;
    color:#fff;
}
.text-center {
    text-align: center;
}
.rating-info {
        color:#f00;
    }

.loader {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100vh;
    width:      100vw;
    background: rgba(0,0,0,0.4)            
                url('http://sampsonresume.com/labs/pIkfp.gif') 
                50% 50% 
                no-repeat;
}

.loading {
    overflow: hidden; 
    display: block;  
}
#snackbar {
    display:none ;
    background-color: #333;
    color: #fff; 
    text-align: center; 
    border-radius: 15px; 
    padding: 10px; 
    position: fixed;
    z-index: 9999;
    bottom: 30px;
    left: 10px;
    right: 10px;
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    display: block; 
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}
/* Add Animation */
@-webkit-keyframes slideIn {
    from {transform: translateY(300px); opacity: 0} 
    to {transform: translateY(0px); opacity: 1}
}
@keyframes slideIn {
    from {transform: translateY(300px); opacity: 0} 
    to {transform: translateY(0px); opacity: 1}
}
@keyframes border-blink {
    0% {border: 1px solid  #ff9800;}
    50% {border: 1px solid  #ffffff;}
    100% {border: 1px solid  #ff9800;}
}
/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;} 
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;} 
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}